<?php

class Controller_Office_Disciplines extends Controller_Environment_Office {
    public function action_index() {
        $this->twig->set_filename(self::OFFICE . 'disciplines/index');
    }

    public function action_fullness_noukd() {
        $this->twig->set_filename(self::OFFICE . 'disciplines/fullness')
            ->set([
                'Disciplines' => Model_Disciplines::getWithFullness('noukd', Model_System::$SemesterID),
                'Teachers'    => Model_Teachers::ofFaculty(0),
            ]);
    }

    public function action_fullness_norate() {
        $this->twig->set_filename(self::OFFICE . 'disciplines/fullness')
            ->set([
                'Disciplines' => Model_Disciplines::getWithFullness('norate', Model_System::$SemesterID),
                'Teachers'    => Model_Teachers::ofFaculty(0),
            ]);
    }

    public function action_fullness_full() {
        $this->twig->set_filename(self::OFFICE . 'disciplines/fullness')
            ->set([
                'Disciplines' => Model_Disciplines::getWithFullness('full', Model_System::$SemesterID),
                'Teachers'    => Model_Teachers::ofFaculty(0),
            ]);
    }
}
